Apps: Apns pem
PUT /apps/{app_id}/apns_pemPath Parameters
Section titled “Path Parameters”| Name | Type | Required | Description |
|---|---|---|---|
app_id |
string | No | id of pulsate app |
Body Parameters
Section titled “Body Parameters”| Name | Type | Required | Description |
|---|---|---|---|
setting_attributes |
string | Yes | |
setting_attributes.apple_certificate |
file | No | apns apple pem certificate file |
setting_attributes.apple_password |
string | No | apns apple password |
setting_attributes.apple_bundle_id |
string | No | apns apple bundle id |
Headers
Section titled “Headers”| Name | Type | Required | Description |
|---|---|---|---|
Authorization |
string | Yes | {my_admin_api_token} |
Content-Type |
string | No | multipart/form-data |
Request Example
Section titled “Request Example”curl --request PUT \ --url https://control.pulsatehq.com/api/v2/apps/{app_id}/apns_pem \ --header 'authorization: Token token={my_admin_api_token}' \ --header 'content-type: multipart/form-data' \ --form 'setting_attributes[apple_bundle_id]=pulsate.universal.app' \ --form 'setting_attributes[apple_password]=test password' \ --form 'setting_attributes[apple_certificate]=@/home/dell/Downloads/test.pem'
